<?php

namespace app\controller\admin\system\dev;

use app\BaseController;
use think\response\Json;

class ComposerController extends BaseController
{
    public function info(): Json
    {
        $composerLockFile = $this->app->getRootPath() . 'composer.lock';
        $composerLockData = json_decode(file_get_contents($composerLockFile), true);
        return $this->writeSuccess('ok', $composerLockData);
    }
}